/* Oslo ricepile animation (version 2.02 - Windows) 
 *
 * Copyright (C) 2005 N.R. Moloney 
 *
 * Distributed under the Qt Non-Commercial license version 1.0
 */

#include <qapplication.h>
#include <qfont.h>
#include <qwidget.h>

#include "oslo.h" 

long seed = 1;
 
///////////////////////////////////////////////////
 
int main( int argc, char *argv[] )
{
  QApplication app( argc, argv );
  QApplication::setFont( QFont( "helvetica", 12 ) );
 
  const unsigned int height = 700;
  const unsigned int width = 1000;

  Oslo ricepile;
  ricepile.setGeometry( 0,50, width,height );
 
  app.setMainWidget( &ricepile );
  ricepile.setCaption( "Oslo model" );
  ricepile.show();
 
  return app.exec();
}
